
Figure - Bug #117964
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【桌面】屏保状态下，下拉可进入控制中心
2023-05-16 18:14 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-16

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-23

Test Type: Release Test Root cause: 编码问题

Description

【测试步骤】

设备在屏保状态下，右侧顶部下拉

【预期结果】

仍在屏保状态

【测试结果】

显示控制中心，点击菜单不能进入相应页面

Related issues:

Related to Figure - Bug # 118553: 【IOVDEV-32753】【内部】【VC1】... CLOSED 2023-06-05

History

#1 - 2023-05-16 19:22 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

Hi 王营

可通过在屏保页添加FLAG实现

FLAG_SECURE

#2 - 2023-05-22 17:46 - CD APP-王营

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-23

- Root cause set to 编码问题

【当前状态】

问题已解决，待验证

【分析】

原生屏保手势为触碰即退出，我们的设计要求只有上滑才能退出，此需求导致下拉时候  状态栏被呼出，控制中心可响应下拉手势

处理方式：在屏保界面禁用通知栏下拉手势，需要将屏保应用设置为系统APP才有此权限

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/201776
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/201774

#3 - 2023-05-22 20:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201776 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Disable statusBar touch in DreamActivityTC-RID: 0301-0300601IssueID: TS-R-BUG-117964Change-Id:

I494571963ad93f849b8260b6b2ac4c041457bd91

#4 - 2023-05-22 20:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201774 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Make screensaver as system appTC-RID: 0301-0300601IssueID: TS-R-BUG-117964Change-Id: I3ccf096f4691550550acae8178d4d134c99879aa

#5 - 2023-05-22 20:11 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

#6 - 2023-05-23 18:44 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103

#7 - 2023-05-23 18:44 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
